- Home
- Cyrus IMAP
- Download
- Contribute

# Index

Symbols | A | C | K | L | M | N | O | P | R | S

## Symbols

- -C config-file
  - CMD command line option

## A

- authdaemon_path [<path>]
  - command line option
- auto_transition [yes|noplain|no]
  - command line option

- auxprop_plugin [<list of plugin names>]
  - command line option

## C

- canon_user_plugin [<name>]
  - command line option
- CMD command line option
  - -C config-file
- CMDNAME(3)
- command line option
  - authdaemon_path [<path>]
  - auto_transition [yes|noplain|no]
  - auxprop_plugin [<list of plugin names>]
  - canon_user_plugin [<name>]
  - keytab [<path>]
  - ldapdb_canon_attr [<user's canonical name>]
  - ldapdb_id [<auth id>]
  - ldapdb_mech [<mechanism>]
  - ldapdb_pw [<password>]
  - ldapdb_rc [<filename>]
  - ldapdb_starttls [try|demand]
  - ldapdb_uri [<list of URIs>]
  - log_level [<numeric log level>]
  - mech_list [<mechanism list>]
  - ntlm_server [<list of server names>]
  - ntlm_v2 [yes|no]
  - opiekeys [<path>]
  - otp_mda [md4 | md5 | sha1]
  - plugin_list [<path>]
  - pwcheck_method [<list of mechanisms>]
  - reauth_timeout [<minutes>]
  - saslauthd_path [<path>]
  - sasldb_mapsize [<size in bytes>]
  - sasldb_maxreaders [<max threads>]
  - sasldb_path [<path to sasldb file>]
  - sql_database <database name>
  - sql_engine [<name>]
  - sql_hostnames [<list of SQL servers>]
  - sql_insert <statement>
  - sql_passwd <password>
  - sql_select <statement>
  - sql_update <statement>
  - sql_user <username>
  - srp_mda [md5 | sha1 | rmd160]
  - srvtab [<path>]

## K

- keytab [<path>]
  - command line option

## L

- ldapdb_canon_attr [<user's canonical name>]
  - command line option
- ldapdb_id [<auth id>]
  - command line option
- ldapdb_mech [<mechanism>]
  - command line option
- ldapdb_pw [<password>]
  - command line option

- ldapdb_rc [<filename>]
  - command line option
- ldapdb_starttls [try|demand]
  - command line option
- ldapdb_uri [<list of URIs>]
  - command line option
- log_level [<numeric log level>]
  - command line option

## M

- mech_list [<mechanism list>]
  - command line option

## N

- ntlm_server [<list of server names>]
  - command line option

- ntlm_v2 [yes|no]
  - command line option

## O

- opiekeys [<path>]
  - command line option

- otp_mda [md4 | md5 | sha1]
  - command line option

## P

- plugin_list [<path>]
  - command line option
- prop_clear (C function)
- prop_dispose (C function)
- prop_dup (C function)
- prop_erase (C function)
- prop_format (C function)
- prop_get (C function)

- prop_getnames (C function)
- prop_new (C function)
- prop_request (C function)
- prop_set (C function)
- prop_setvals (C function)
- propctx (C type)
- propval (C type)
- pwcheck_method [<list of mechanisms>]
  - command line option

## R

- reauth_timeout [<minutes>]
  - command line option
- RFC
  - RFC 1766, [1]
  - RFC 1939, [1]
  - RFC 1939#page-15
  - RFC 2222, [1], [2]
  - RFC 2222#section-7.1
  - RFC 2444
  - RFC 2482, [1]
  - RFC 2808
  - RFC 2831
  - RFC 4422, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52]
  - RFC 4505
  - RFC 4616
  - RFC 4752
  - RFC 4846#section-4
  - RFC 5801
  - RFC 5802
  - RFC 6331
  - RFC 7613

## S

- sasl(3)
- sasl_authorize_t(3)
- sasl_auxprop(3)
- sasl_auxprop_add_plugin(3)
- sasl_auxprop_getctx (C function)
- sasl_auxprop_getctx(3)
- sasl_auxprop_request (C function)
- sasl_auxprop_request(3)
- SASL_BADAUTH (C macro)
- SASL_BADMAC (C macro)
- SASL_BADPARAM (C macro)
- SASL_BADPROT (C macro)
- SASL_BADSERV (C macro)
- SASL_BADVERS (C macro)
- SASL_BUFOVER (C macro)
- sasl_callbacks(3)
- sasl_canon_user_t(3)
- sasl_canonuser_add_plugin(3)
- sasl_chalprompt_t(3)
- sasl_checkapop(3)
- sasl_checkpass(3)
- sasl_client_add_plugin(3)
- sasl_client_done(3)
- sasl_client_init(3)
- sasl_client_new(3)
- sasl_client_plug_init_t(3)
- sasl_client_start(3)
- sasl_client_step(3)
- sasl_conn_t (C type)
- SASL_CONTINUE (C macro)
- sasl_decode(3)
- sasl_decode64(3)
- SASL_DISABLED (C macro)
- sasl_dispose(3)
- sasl_done(3)
- sasl_encode(3)
- sasl_encode64(3)
- sasl_encodev(3)
- SASL_ENCRYPT (C macro)
- sasl_erasebuffer(3)
- sasl_errdetail(3)
- sasl_errors(3)
- sasl_errstring(3)
- SASL_EXPIRED (C macro)
- SASL_FAIL (C macro)
- sasl_getcallback_t(3)
- sasl_getconfpath_t(3)
- sasl_getopt_t(3)
- sasl_getpath_t(3)
- sasl_getprop(3)
- sasl_getrealm_t(3)
- sasl_getsecret_t(3)
- sasl_getsimple_t(3)
- sasl_global_listmech(3)
- sasl_idle (C function)
- sasl_idle(3)
- SASL_INTERACT (C macro)
- sasl_listmech(3)
- sasl_log_t(3)
- SASL_NOAUTHZ (C macro)
- SASL_NOCHANGE (C macro)

- SASL_NOMECH (C macro)
- SASL_NOMEM (C macro)
- SASL_NOTDONE (C macro)
- SASL_NOTINIT (C macro)
- SASL_NOUSER (C macro)
- SASL_NOUSERPASS (C macro)
- SASL_NOVERIFY (C macro)
- SASL_OK (C macro)
- SASL_PWLOCK (C macro)
- sasl_server_add_plugin(3)
- sasl_server_done(3)
- sasl_server_init(3)
- sasl_server_new(3)
- sasl_server_plug_init_t(3)
- sasl_server_start(3)
- sasl_server_step(3)
- sasl_server_userdb_checkpass_t(3)
- sasl_server_userdb_setpass_t(3)
- sasl_set_alloc(3)
- sasl_set_mutex(3)
- sasl_seterror(3)
- sasl_setpass(3)
- sasl_setprop(3)
- SASL_TOOWEAK (C macro)
- SASL_TRANS (C macro)
- SASL_TRYAGAIN (C macro)
- sasl_user_exists(3)
- sasl_usererr (C function)
- sasl_usererr(3)
- sasl_utf8verify(3)
- sasl_verifyfile_t(3)
- SASL_WEAKPASS (C macro)
- SASL_WRONGMECH (C macro)
- saslauthd_path [<path>]
  - command line option
- sasldb_mapsize [<size in bytes>]
  - command line option
- sasldb_maxreaders [<max threads>]
  - command line option
- sasldb_path [<path to sasldb file>]
  - command line option
- sql_database <database name>
  - command line option
- sql_engine [<name>]
  - command line option
- sql_hostnames [<list of SQL servers>]
  - command line option
- sql_insert <statement>
  - command line option
- sql_passwd <password>
  - command line option
- sql_select <statement>
  - command line option
- sql_update <statement>
  - command line option
- sql_user <username>
  - command line option
- srp_mda [md5 | sha1 | rmd160]
  - command line option
- srvtab [<path>]
  - command line option